GXml.XHashMapAttr – GXml-0.20 Reference Manual

# XHashMapAttr

## Object Hierarchy:

## Description:

public class XHashMapAttr : AbstractMap<string,XNode>, DomNamedNodeMap

Implementation of Gee.AbstractMap to handle Xml.Node attributes, powered by libxml2 library.

Namespace: GXml
Package: GXml-0.20

## Content:

### Classes:

- Entry
- Iterator

### Properties:

- public override Set<Entry<string,XNode>> entries { owned get; }
- public override Set<string> keys { owned get; }
- public int length { get; }
- public override bool read_only { get; }
- public override int size { get; }
- public override Collection<XNode> values { owned get; }

### Creation methods:

- public XHashMapAttr (XDocument doc, unowned Node* node)

### Methods:

- public override XNode @get (string key)
- public override void @set (string key, XNode value)
- public override void clear ()
- public DomNode? get_named_item (string name)
- public DomNode? get_named_item_ns (string namespace_uri, string local_name) throws Error
- public override bool has (string key, XNode value)
- public override bool has_key (string key)
- public DomNode? item (int index)
  Search items in this collection and return the object found at index, but not order is warrantied
- public override MapIterator<string,XNode> map_iterator ()
- public DomNode? remove_named_item (string name) throws Error
- public DomNode? remove_named_item_ns (string namespace_uri, string local_name) throws Error
- public DomNode? set_named_item (DomNode node) throws Error
- public DomNode? set_named_item_ns (DomNode node) throws Error
- public override bool unset (string key, out XNode value = null)

### Inherited Members:

All known members inherited from class Gee.AbstractMap

- @foreach
- @get
- @set
- clear
- entries

- has
- has_key
- keys
- map_iterator
- read_only

- read_only_view
- size
- stream
- unset
- values

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref

All known members inherited from interface GXml.DomNamedNodeMap

- get_named_item
- get_named_item_ns
- item

- length
- remove_named_item
- remove_named_item_ns

- set_named_item
- set_named_item_ns

All known members inherited from interface Gee.Traversable

- @foreach
- all_match
- any_match
- chop
- element_type
- filter

- first_match
- flat_map
- fold
- map
- max

- min
- order_by
- scan
- stream
- tee

All known members inherited from interface Gee.Iterable

- iterator

All known members inherited from interface Gee.Map

- @get
- @set
- clear
- contains
- contains_all
- empty
- entries
- has

- has_all
- has_key
- is_empty
- key_type
- keys
- map_iterator
- read_only
- read_only_view

- remove
- remove_all
- set_all
- size
- unset
- unset_all
- value_type
- values